Subject: [alto] I-D Action: draft-ietf-alto-unified-props-new-09.txt

From: [email-masked]
Date: Wed, 04 Sep 2019 06:40:22 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Application-Layer Traffic Optimization WG of the IETF.

        Title           : Unified Properties for the ALTO Protocol
        Authors         : Wendy Roome
                          Sabine Randriamasy
                          Y. Richard Yang
                          Jingxuan Jensen Zhang
                          Kai Gao
	Filename        : draft-ietf-alto-unified-props-new-09.txt
	Pages           : 43
	Date            : 2019-09-04

Abstract:
   This document extends the Application-Layer Traffic Optimization
   (ALTO) Protocol [RFC7285] by generalizing the concept of "endpoint
   properties" to generic types of entities, and by presenting those
   properties as maps, similar to the network and cost maps in
   [RFC7285].

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-alto-unified-props-new/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-alto-unified-props-new-09
https://datatracker.ietf.org/doc/html/draft-ietf-alto-unified-props-new-09

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-alto-unified-props-new-09

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Danny Alex Lachos Perez <[email-masked]>
Date: Tue, 17 Sep 2019 15:27:45 -0300

Dear authors,

I started to read the “Unified Properties for the ALTO Protocol” draft
(-09).

Please, see my first comments in the attached file (search for '[DANNY]').
Many of them are suggestions about clarity and format issues .

I will continue the review and send additional comments in a short time.

Best regards,

Danny Lachos

On Wed, Sep 4, 2019 at 10:41 AM <[email-masked]> wrote:

> _______________________________________________
> alto mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/alto
>

---

From: "Randriamasy, Sabine (Nokia - FR/Paris-Saclay)" <[email-masked]>
Date: Tue, 24 Sep 2019 13:42:36 +0000

Hi Danny,

Many thanks for your review. I saw your last comment is in Section 9.7.
Should we consider that until section 9.7 your review is complete or will you have more questions?
We look forward to your other comments,
Best regards,
Sabine

From: alto <[email-masked]> On Behalf Of Danny Alex Lachos Perez
Sent: Tuesday, September 17, 2019 8:28 PM
To: IETF ALTO <[email-masked]>
Cc: [email-masked]
Subject: Re: [alto] I-D Action: draft-ietf-alto-unified-props-new-09.txt

Dear authors,

I started to read the “Unified Properties for the ALTO Protocol” draft (-09).

Best regards,

Danny Lachos

On Wed, Sep 4, 2019 at 10:41 AM <[email-masked]<mailto:[email-masked]>> wrote:

Abstract:

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org>.

_______________________________________________
alto mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/alto

---

From: Danny Alex Lachos Perez <[email-masked]>
Date: Wed, 25 Sep 2019 10:50:15 -0300

Hi Sabine,

I have a quick additional comment:

I believe that an example (sec. 9) of Aggregated Entity Domain is missing.
Perhaps you could re-use (or extend) the IRD example [0] and try to add a
couple of sentences to indicate equivalent entity property mappings (see
slide 17, 18 in [1]).

Best regards,

Danny Lachos
[0] https://tools.ietf.org/html/draft-ietf-alto-unified-props-new-09#page-28
[1]
https://datatracker.ietf.org/meeting/105/materials/slides-105-alto-unified-properties-for-the-alto-protocol-02.pdf

On Tue, Sep 24, 2019 at 10:42 AM Randriamasy, Sabine (Nokia -
FR/Paris-Saclay) <[email-masked]> wrote:

> *From:* alto <[email-masked]> *On Behalf Of *Danny Alex Lachos
> Perez
> *Sent:* Tuesday, September 17, 2019 8:28 PM
> *To:* IETF ALTO <[email-masked]>
> *Cc:* [email-masked]
> *Subject:* Re: [alto] I-D Action: draft-ietf-alto-unified-props-new-09.txt
>
>
>
> Dear authors,
>
>
>
> I started to read the “*Unified Properties for the ALTO Protocol*” draft
> (-09).
>
>
>

---

From: "Silberschatz, Avi" <[email-masked]>
Date: Wed, 25 Sep 2019 13:53:48 +0000

Please remove me from the mailing list!

________________________________
From: alto <[email-masked]> on behalf of Danny Alex Lachos Perez <[email-masked]>
Sent: Wednesday, September 25, 2019 9:50 AM
To: Randriamasy, Sabine (Nokia - FR/Paris-Saclay) <[email-masked]>
Cc: IETF ALTO <[email-masked]>
Subject: Re: [alto] I-D Action: draft-ietf-alto-unified-props-new-09.txt

Hi Sabine,

I believe that an example (sec. 9) of Aggregated Entity Domain is missing.
Perhaps you could re-use (or extend) the IRD example [0] and try to add a couple of sentences to indicate equivalent entity property mappings (see slide 17, 18 in [1]).

Best regards,

Danny Lachos
[0] https://tools.ietf.org/html/draft-ietf-alto-unified-props-new-09#page-28<https://nam05.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Fdraft-ietf-alto-unified-props-new-09%23page-28&data=02%7C01%7Cabraham.silberschatz%40yale.edu%7Cf293677b81b746f9a96c08d741bf5d1b%7Cdd8cbebb21394df8b4114e3e87abeb5c%7C0%7C1%7C637050162478157886&sdata=WFd3vs%2F1mNSTREXwtx%2Fyz8Shf0KRqvsYiMzphaLMqZM%3D&reserved=0>
[1] https://datatracker.ietf.org/meeting/105/materials/slides-105-alto-unified-properties-for-the-alto-protocol-02.pdf<https://nam05.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fmeeting%2F105%2Fmaterials%2Fslides-105-alto-unified-properties-for-the-alto-protocol-02.pdf&data=02%7C01%7Cabraham.silberschatz%40yale.edu%7Cf293677b81b746f9a96c08d741bf5d1b%7Cdd8cbebb21394df8b4114e3e87abeb5c%7C0%7C1%7C637050162478167884&sdata=5lNDJ9BpKFgYvllzNe1cVCpFS%2FE53hHCHK74zX6tteI%3D&reserved=0>

On Tue, Sep 24, 2019 at 10:42 AM Randriamasy, Sabine (Nokia - FR/Paris-Saclay) <[email-masked]<mailto:[email-masked]>> wrote:

Hi Danny,

Best regards,

Sabine

From: alto <[email-masked]<mailto:[email-masked]>> On Behalf Of Danny Alex Lachos Perez
Sent: Tuesday, September 17, 2019 8:28 PM
To: IETF ALTO <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>
Subject: Re: [alto] I-D Action: draft-ietf-alto-unified-props-new-09..txt

Dear authors,

Best regards,

Danny Lachos

Abstract:

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-alto-unified-props-new/<https://nam05.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-ietf-alto-unified-props-new%2F&data=02%7C01%7Cabraham.silberschatz%40yale.edu%7Cf293677b81b746f9a96c08d741bf5d1b%7Cdd8cbebb21394df8b4114e3e87abeb5c%7C0%7C1%7C637050162478167884&sdata=DlPm552KLabfzmPAjoeO6VwU1eHialjIuOV3JMrcvbI%3D&reserved=0>

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-alto-unified-props-new-09<https://nam05.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Fdraft-ietf-alto-unified-props-new-09&data=02%7C01%7Cabraham.silberschatz%40yale.edu%7Cf293677b81b746f9a96c08d741bf5d1b%7Cdd8cbebb21394df8b4114e3e87abeb5c%7C0%7C1%7C637050162478177879&sdata=OJoNUgSrYodBQ1Vk1kESjeUUZM1EWEGX1c%2F%2BDZcGDfg%3D&reserved=0>
https://datatracker.ietf.org/doc/html/draft-ietf-alto-unified-props-new-09<https://nam05.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-ietf-alto-unified-props-new-09&data=02%7C01%7Cabraham.silberschatz%40yale.edu%7Cf293677b81b746f9a96c08d741bf5d1b%7Cdd8cbebb21394df8b4114e3e87abeb5c%7C0%7C1%7C637050162478177879&sdata=rWj4JURN5igF2wF9vkV594%2BhGSnq1mDZPheJYynCxiM%3D&reserved=0>

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-alto-unified-props-new-09<https://nam05.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Frfcdiff%3Furl2%3Ddraft-ietf-alto-unified-props-new-09&data=02%7C01%7Cabraham.silberschatz%40yale.edu%7Cf293677b81b746f9a96c08d741bf5d1b%7Cdd8cbebb21394df8b4114e3e87abeb5c%7C0%7C1%7C637050162478187867&sdata=MA5%2Fe2PqcOVS2NWK9K0t5owqZ9UxOqc8Odz%2BvJSQBmY%3D&reserved=0>

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org<https://nam05.safelinks.protection.outlook.com/?url=http%3A%2F%2Ftools.ietf.org&data=02%7C01%7Cabraham.silberschatz%40yale.edu%7Cf293677b81b746f9a96c08d741bf5d1b%7Cdd8cbebb21394df8b4114e3e87abeb5c%7C0%7C1%7C637050162478187867&sdata=wlC1Vb92POZrQYS%2FiBIpF629ivCfNOYM%2B7IaLYTKkEI%3D&reserved=0>.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp..ietf.org/internet-drafts/<ftp://ftp.ietf.org/internet-drafts/>

_______________________________________________
alto mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/alto<https://nam05.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Falto&data=02%7C01%7Cabraham.silberschatz%40yale.edu%7Cf293677b81b746f9a96c08d741bf5d1b%7Cdd8cbebb21394df8b4114e3e87abeb5c%7C0%7C1%7C637050162478197863&sdata=hG0j6oq3XzQqvv5z0OP9LAerF3kUX3u%2BQYRJGCF0bX4%3D&reserved=0>

---

From: Jensen Zhang <[email-masked]>
Date: Thu, 26 Sep 2019 17:27:52 -0400

Hi Danny,

Thanks for your review and comments. Sabine and I are working on the next
revision. We will address all the issues in the next revision.

And for your additional comment, actually, the "ip-pid-property-map"
resource in IRD is an example of Aggregated Entity Domain. Sec 9.7 should
illustrate it. But you are right, the current example in Sec 9.7 does not
show the benefit of Aggregated Entity Domain. I will also revise this
example in the next revision.

Looking forward to your further comments.

Thanks,
Jensen

On Wed, Sep 25, 2019 at 9:50 AM Danny Alex Lachos Perez <
[email-masked]> wrote:

> [0]
> https://tools.ietf.org/html/draft-ietf-alto-unified-props-new-09#page-28
> [1]
>> *Subject:* Re: [alto] I-D Action:
>> draft-ietf-alto-unified-props-new-09..txt
>>
>>
>>
>> Dear authors,
>>
>>
>>